Skip to content

tag/saverule

Updates an existing tagging rule.

Method and path

POST /tag/saverule

Authentication

Authentication is required. See Authentication.

Permissions

Accessible to tier 1, 2, and 3 users.

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.
Content-Typeyesapplication/json.

Request body

FieldTypeRequiredDescription
project_idintegeryesProject identifier.
rule_idintegeryesRule identifier.
tag_idintegeryesTag identifier assigned to the rule.
tag_fieldstringyesField matched by the rule.
tag_rulestringyesMatch operator or rule type.
tag_valuestringyesMatch value.

Example request

bash
curl -X POST "$SIGNAL_API_BASE_URL/tag/saverule" \
  -H "X-Api-Key: $SIGNAL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "project_id": 123,
    "rule_id": 789,
    "tag_id": 456,
    "tag_field": "title",
    "tag_rule": "contains",
    "tag_value": "updated keyword"
  }'
json
{
  "project_id": 123,
  "rule_id": 789,
  "tag_id": 456,
  "tag_field": "title",
  "tag_rule": "contains",
  "tag_value": "updated keyword"
}

Example response

json
{
  "id": 789,
  "tag_field": "title",
  "tag_rule": "contains",
  "tag_value": "updated keyword"
}

Response fields

FieldTypeDescription
idintegerRule identifier.
tag_fieldstringMatched field.
tag_rulestringMatch operator or rule type.
tag_valuestringMatch value.

Doc rev.1.12.3 2026.05.08